<?php add_filter('single_template', create_function('$t', 'foreach( (array) get_the_category() as $cat ) { if ( file_exists(TEMPLATEPATH . "/single-{$cat->term_id}.php") ) return TEMPLATEPATH . "/single-{$cat->term_id}.php"; } return $t;' )); ?>
<?php
if ( function_exists('register_sidebar') )
    register_sidebar(array(
        'before_widget' => '',
        'after_widget' => '',
        'before_title' => '<h2>',
        'after_title' => '</h2>',
    ));
?>
<?php
function widget_mytheme_search() {
?>
<h2>Search</h2>
<form id="searchform" method="get" action="<?php bloginfo('home'); ?>/"> <input type="text"  size="18" maxlength="50" name="s" id="s" /> 
<input name="submit" type="image" src="<?php bloginfo('stylesheet_directory'); ?>/images/go2.png" value="Search" Title="Search" class="search-button"/></form> 
<div class="clear">&nbsp;</div>
<br />
<?php
}
if ( function_exists('register_sidebar_widget') )
    register_sidebar_widget(__('Search'), 'widget_mytheme_search');
?>
<?php
add_filter('comments_template', 'legacy_comments');
function legacy_comments($file) {
	if(!function_exists('wp_list_comments')) : // WP 2.7-only check
		$file = TEMPLATEPATH . '/legacy.comments.php';
	endif;
	return $file;
}
?>
<?php
/*
Plugin Name: Limit Posts
Plugin URI: http://labitacora.net/comunBlog/limit-post.phps
Description: Limits the displayed text length on the index page entries and generates a link to a page to read the full content if its bigger than the selected maximum length.
Usage: the_content_limit($max_charaters, $more_link)
Version: 1.1
Author: Alfonso Snchez-Paus Daz y Julin Simn de Castro
Author URI: http://labitacora.net/
License: GPL
Download URL: http://labitacora.net/comunBlog/limit-post.phps
Make:
    In file index.php
    replace the_content()
    with the_content_limit(1000, "more")
*/

function the_content_limit($max_char, $more_link_text = '(more...)', $stripteaser = 0, $more_file = '') {
    $content = get_the_content($more_link_text, $stripteaser, $more_file);
    $content = apply_filters('the_content', $content);
    $content = str_replace(']]>', ']]&gt;', $content);
    $content = strip_tags($content);

   if (strlen($_GET['p']) > 0) {
      echo "<div>";
      echo $content;
      echo "</div>";
   }
   else if ((strlen($content)>$max_char) && ($espacio = strpos($content, " ", $max_char ))) {
        $content = substr($content, 0, $espacio);
        $content = $content;
        echo "<div>";
        echo $content;
        echo "...";
        echo "</div>";
   }
   else {
      echo "<div>";
      echo $content;
      echo "</div>";
   }
}

?>
<?php
$key = "post-images";
$meta_boxes = array(
"image-main" => array(
"name" => "post-image-main",
"title" => "Main Image",
"description" => "Using the \"<em>Add an Image</em>\" button, upload an image and paste the URL here. Images will be resized. This is the Article's main image and will automatically be sized."),
"image-post" => array(
"name" => "post-image-single",
"title" => "Single Post Image",
"description" => "This is the Post image and will be shown on single posts only. Use wide images for posts minimum 600px wide.")
);

function create_meta_box() {
global $key;

if( function_exists( 'add_meta_box' ) ) {
add_meta_box( 'new-meta-boxes', 'Post Images & Thumbnails Options', 'display_meta_box', 'post', 'normal', 'high' );
}
}

function display_meta_box() {
global $post, $meta_boxes, $key;
?>

<div class="form-wrap">

<?php
wp_nonce_field( plugin_basename( __FILE__ ), $key . '_wpnonce', false, true );

foreach($meta_boxes as $meta_box) {
$data = get_post_meta($post->ID, $key, true);
?>

<div class="form-field form-required">
<label for="<?php echo $meta_box[ 'name' ]; ?>"><?php echo $meta_box[ 'title' ]; ?></label>
<input type="text" name="<?php echo $meta_box[ 'name' ]; ?>" value="<?php echo htmlspecialchars( $data[ $meta_box[ 'name' ] ] ); ?>" />
<p><?php echo $meta_box[ 'description' ]; ?></p>
</div>

<?php } ?>

</div>
<?php
}

function save_meta_box( $post_id ) {
global $post, $meta_boxes, $key;

foreach( $meta_boxes as $meta_box ) {
$data[ $meta_box[ 'name' ] ] = $_POST[ $meta_box[ 'name' ] ];
}

if ( !wp_verify_nonce( $_POST[ $key . '_wpnonce' ], plugin_basename(__FILE__) ) )
return $post_id;

if ( !current_user_can( 'edit_post', $post_id ))
return $post_id;

update_post_meta( $post_id, $key, $data );
}

add_action( 'admin_menu', 'create_meta_box' );
add_action( 'save_post', 'save_meta_box' );
?>
<?php
$themename = "Blog-o-Folio";
$shortname = "blogofolio";
$options = array (
	array(	"name" => "Sidebar 125 x 125 Ads",
			"type" => "heading"),
    array(	"name" => "Show sidebar ads?",
			"desc" => "Check this box if you want to show sidebar ads.<br /><br /><br />",
			"id" => $shortname."_ad_check",
			"std" => "false",
            "type" => "checkbox"),
	array(	"name" => "Show ad 1?",
			"desc" => "Check this box if you want to show ad 1.",
			"id" => $shortname."_ad1_check",
			"std" => "false",
            "type" => "checkbox"),
	array(	"name" => "Ad 1 Image",
			"id" => $shortname."_ad1",
			"std" => "http://",
            "desc" => "Insert the image path for the banner (125x125 pixels)",
			"type" => "text"),
	array(	"name" => "Ad 1 Link",
			"id" => $shortname."_ad1_link",
			"std" => "http://",
            "desc" => "Insert link for the banner.<br /><br />",
			"type" => "text"),
	array(	"name" => "Show ad 2?",
			"desc" => "Check this box if you want to show ad 2.",
			"id" => $shortname."_ad2_check",
			"std" => "false",
            "type" => "checkbox"),
	array(	"name" => "Ad 2 Image",
			"id" => $shortname."_ad2",
			"std" => "http://",
            "desc" => "Insert the image path for the banner (125x125 pixels)",
			"type" => "text"),
	array(	"name" => "Ad 2 Link",
			"id" => $shortname."_ad2_link",
			"std" => "http://",
            "desc" => "Insert link for the banner.<br /><br />",
			"type" => "text"),
	array(	"name" => "Show ad 3?",
			"desc" => "Check this box if you want to show ad 3.",
			"id" => $shortname."_ad3_check",
			"std" => "false",
            "type" => "checkbox"),
	array(	"name" => "Ad 3 Image",
			"id" => $shortname."_ad3",
			"std" => "http://",
            "desc" => "Insert the image path for the banner (125x125 pixels)",
			"type" => "text"),
	array(	"name" => "Ad 3 Link",
			"id" => $shortname."_ad3_link",
			"std" => "http://",
            "desc" => "Insert link for the banner.<br /><br />",
			"type" => "text"),
	array(	"name" => "Show ad 4?",
			"desc" => "Check this box if you want to show ad 4.",
			"id" => $shortname."_ad4_check",
			"std" => "false",
            "type" => "checkbox"),
	array(	"name" => "Ad 4 Image",
			"id" => $shortname."_ad4",
			"std" => "http://",
            "desc" => "Insert the image path for the banner (125x125 pixels)",
			"type" => "text"),
	array(	"name" => "Ad 4 Link",
			"id" => $shortname."_ad4_link",
			"std" => "http://",
            "desc" => "Insert link for the banner.<br /><br />",
			"type" => "text"),
	array(	"name" => "Show ad 5?",
			"desc" => "Check this box if you want to show ad 5.",
			"id" => $shortname."_ad5_check",
			"std" => "false",
            "type" => "checkbox"),
	array(	"name" => "Ad 5 Image",
			"id" => $shortname."_ad5",
			"std" => "http://",
            "desc" => "Insert the image path for the banner (125x125 pixels)",
			"type" => "text"),
	array(	"name" => "Ad 5 Link",
			"id" => $shortname."_ad5_link",
			"std" => "http://",
            "desc" => "Insert link for the banner.<br /><br />",
			"type" => "text"),
	array(	"name" => "Show ad 6?",
			"desc" => "Check this box if you want to show ad 6.",
			"id" => $shortname."_ad6_check",
			"std" => "false",
            "type" => "checkbox"),
	array(	"name" => "Ad 6 Image",
			"id" => $shortname."_ad6",
			"std" => "http://",
            "desc" => "Insert the image path for the banner (125x125 pixels)",
			"type" => "text"),
	array(	"name" => "Ad 6 Link",
			"id" => $shortname."_ad6_link",
			"std" => "http://",
            "desc" => "Insert link for the banner.<br /><br />",
			"type" => "text"),
	array(	"name" => "Sidebar buttons settings",
			"type" => "heading"),
	array(  "name" => "Feedburner URL",
            "id" => $shortname."_feed_url",
            "std" => "http://",
			"desc" => "Enter your feedburner feed url.<br /><br />",
            "type" => "text"),
	array(  "name" => "Your twitter user name",
            "id" => $shortname."_twitter",
            "std" => "",
			"desc" => "Enter your Twitter username.<br /><br />",
            "type" => "text"),
	array(  "name" => "Your Facebook link",
            "id" => $shortname."_facebook_link",
            "std" => "http://",
			"desc" => "Enter your Facebook profile or fan page link.<br /><br />",
            "type" => "text"),
	array(	"name" => "Header logo settings",
			"type" => "heading"),
	array(	"name" => "Header logo image",
			"id" => $shortname."_logo_image",
			"std" => "http://",
            "desc" => "Insert the image path for the header logo. Height must not exceed 100px.<br /><br />",
			"type" => "text"),
	array(	"name" => "Use image logo in header?",
			"desc" => "Check this box if you want to show image in header.<br /><br />",
			"id" => $shortname."_header_check2",
			"std" => "false",
            "type" => "checkbox"),
	array(	"name" => "Use only image logo in header?",
			"desc" => "Check this box if you want to show both image logo and text in header.<br /><br />",
			"id" => $shortname."_header_check1",
			"std" => "false",
            "type" => "checkbox"),
	array(	"name" => "Welcome Message Setting",
			"type" => "heading"),
	array(	"name" => "Show welcome box?",
			"desc" => "Check this box if you want to show welcome box.<br /><br />",
			"id" => $shortname."_welcome_check",
			"std" => "true",
            "type" => "checkbox"),
	array(	"name" => "Welcome box image",
			"id" => $shortname."_welcome_image",
			"std" => "http://",
            "desc" => "Insert the welcome box image path. max-width:250px, max-height:132px.<br /><br />",
			"type" => "text"),
	array(	"name" => "Welcome box image link",
			"id" => $shortname."_welcome_link",
			"std" => "http://",
            "desc" => "Insert the link path for welcome box image.<br /><br />",
			"type" => "text"),
	array(  "name" => "Welcome box text",
            "id" => $shortname."_welcome_text",
            "std" => "",
			"desc" => "Write something to put in Welcome box under header.<br /><br />",
            "type" => "textarea"),
	array(	"name" => "Google Analytics setting",
			"type" => "heading"),
	array(  "name" => "Analytics code",
            "id" => $shortname."_analytics",
            "std" => "",
			"desc" => "Paste your analytics code as it is.<br /><br />",
            "type" => "textarea"),
	array(	"name" => "Misc Settings",
			"type" => "heading"),
	array(  "name" => "Favicon setting",
            "id" => $shortname."_favicon",
            "std" => "",
			"desc" => "Enter the URL of your a 16px x 16px Png/Gif/Ico image that will represent your website's favicon.<br /><br />",
            "type" => "text"),
	array(  "name" => "Portfolio Category",
            "id" => $shortname."_portfolio_cat",
            "std" => "",
			"desc" => "Enter ID of your portfolio category.<br /><br />",
            "type" => "text"),
	array(  "name" => "Portfolio Entries",
            "id" => $shortname."_portfolio_entries",
            "std" => "",
			"desc" => "How many Portfolio entries to show under blog? Preferable digits: 3,6,9,12<br /><br />",
            "type" => "text"),
	array(  "name" => "Exclude Pages",
            "id" => $shortname."_exclude_pages",
            "std" => "",
			"desc" => "Enter a comma seperated list of page ID's to be excluded in navigation. Example:1,5,7<br /><br />",
            "type" => "text"),
	array(	"name" => "Show Share icon box?",
			"desc" => "Check this box if you want to show share social icons on posts.<br /><br />",
			"id" => $shortname."_social_check",
			"std" => "true",
            "type" => "checkbox")
);

// ADMIN PANEL

function blogofolio_add_admin() {

	 global $themename, $options;
	
	if ( $_GET['page'] == basename(__FILE__) ) {	
        if ( 'save' == $_REQUEST['action'] ) {
	
                foreach ($options as $value) {
					if($value['type'] != 'multicheck'){
                    	update_option( $value['id'], $_REQUEST[ $value['id'] ] ); 
					}else{
						foreach($value['options'] as $mc_key => $mc_value){
							$up_opt = $value['id'].'_'.$mc_key;
							update_option($up_opt, $_REQUEST[$up_opt] );
						}
					}
				}

                foreach ($options as $value) {
					if($value['type'] != 'multicheck'){
                    	if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } 
					}else{
						foreach($value['options'] as $mc_key => $mc_value){
							$up_opt = $value['id'].'_'.$mc_key;						
							if( isset( $_REQUEST[ $up_opt ] ) ) { update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); } 
						}
					}
				}
						
				header("Location: admin.php?page=functions.php&saved=true");								
			
			die;

		} else if ( 'reset' == $_REQUEST['action'] ) {
			delete_option('sandbox_logo');
			
			header("Location: admin.php?page=functions.php&reset=true");
			die;
		}

	}

add_menu_page($themename." Options", $themename." Options", 'edit_themes', basename(__FILE__), 'blogofolio_page');

}

function blogofolio_page (){

		global $options, $themename, $manualurl;
		
		?>


<div class="wrap">
<h2><?php echo $themename; ?> settings</h2>
<form method="post">
<table class="optiontable">
<?php foreach ($options as $value) {
if ($value['type'] == "text") {  ?>
<tr valign="top">
	<th scope="row"><?php echo $value['name']; ?>:</th>
	<td>
		<input style="width:500px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <br /><?php echo $value['desc']; ?>
    </td>
</tr>
<?php } elseif ($value['type'] == "textarea") {  ?>
<tr valign="top">
	<th scope="row"><?php echo $value['name']; ?>:</th>
	<td>
				<textarea style="width:500px;height:100px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" ><?php
				if( get_settings($value['id']) != "") {
						echo stripslashes(get_settings($value['id']));
					}else{
						echo $value['std'];
				}?></textarea>
        <br /><?php echo $value['desc']; ?>
	</td>
</tr>
<?php } elseif ($value['type'] == "checkbox") {  ?>
<tr valign="top">
	<th scope="row"><?php echo $value['name']; ?></th>
	<td>
	    <?php if(get_settings($value['id'])){
		    $checked = "checked=\"checked\"";
			    }else{
			$checked = "";
				}
		?>
		    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php echo $value['desc']; ?>
	</td>
</tr>
<?php } elseif ($value['type'] == "heading") {  ?>
<tr valign="top">
	<th scope="row"></th>
	<td>
        <h3 style="color:#d54e21;"><?php echo $value['name']; ?></h3>
	</td>
</tr>
<?php
}
}
?>
</table>
<b>Blog-O-Folio theme Coded and Designed by MOin (<a href="http://socialshouts.com/">SocialShouts.com</a>), Supported by Bhanu (<a href="http://slodive.com/">slodive.com</a>) and Featured by <a href="http://www.smashingmagazine.com/">SmashingMagazine</a>.</b>
<p class="submit">
<input name="save" type="submit" value="Save changes" />
<input type="hidden" name="action" value="save" />
</p>
</form>
<form method="post">
<p class="submit">
<input name="reset" type="submit" value="Reset" />
<input type="hidden" name="action" value="reset" />
</p>
</form>
<?php
}
add_action('admin_menu', 'blogofolio_add_admin');
?>
<?php
add_action( 'widgets_init', 'my_unregister_widgets' );

function my_unregister_widgets() {
unregister_widget( 'WP_Widget_Recent_Comments' );
}
?>