<?php get_header(); ?>

<div id="blog-label2">
<div class="label">
<br />
		<div class="twitter">
			<div id="twitter"><a class="tweet" href="#" title=""><img src="<?php bloginfo('stylesheet_directory'); ?>/images/twitter.png" alt="Follow Me" /></a></div>
		</div>
<h3 class="label-portfolio">Work</h3>
<h2>Portfolio Entry</h2>
</div>
</div>

<br /><br />

	<div id="content">

	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

		<div class="post-single" id="post-<?php the_ID(); ?>">
		
			<div class="post-title"><h2><?php the_title(); ?></h2>
				<div> <!-- blank div necessary for IE6 -->
				<div class="clear-position"><div class="comment-count-single"><?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?></div><div class="date-single"><?php the_date('Y-m-d'); ?></div><div class="author-single"><?php the_author_posts_link(); ?></div></div>
				</div>
			</div>
			
			<br />
	<div class="clear"></div>
	
<?php	$data = get_post_meta( $post->ID, 'post-images', true ); ?> 
<?php // if there's a single post image
 if( $data[ 'post-image-single' ] ) : ?>
     			<div class="thumb-single">
				<img height="160px" width="618px" alt="" src="<?php bloginfo('stylesheet_directory'); ?>/timthumb.php?src=<?php echo $data[ 'post-image-single' ]; ?>&amp;h=160&amp;w=618&amp;zc=1&amp;q=100" />
				</div>
<?php endif; ?> 

			<div class="entry">
			
				<?php the_content('<p class="serif">Read the rest of this entry &raquo;</p>'); ?> 
				<?php wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
				<?php the_tags( '<p>Tags: ', ', ', '</p>'); ?>

				<div class="postmetadata alt">
				<h3>Post Details:</h3>
				
					<small>
						This entry was posted
						<?php /* This is commented, because it requires a little adjusting sometimes.
							You'll need to download this plugin, and follow the instructions:
							http://binarybonsai.com/archives/2004/08/17/time-since-plugin/ */
							/* $entry_datetime = abs(strtotime($post->post_date) - (60*120)); echo time_since($entry_datetime); echo ' ago'; */ ?>
						on <?php the_time('l, F jS, Y') ?> at <?php the_time() ?>
						and is filed under <?php the_category(', ') ?>.
						You can follow any responses to this entry through the <?php post_comments_feed_link('RSS 2.0'); ?> feed.

						<?php if (('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
							// Both Comments and Pings are open ?>
							You can <a href="#respond">leave a response</a>, or <a href="<?php trackback_url(); ?>" rel="trackback">trackback</a> from your own site.

						<?php } elseif (!('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
							// Only Pings are Open ?>
							Responses are currently closed, but you can <a href="<?php trackback_url(); ?> " rel="trackback">trackback</a> from your own site.

						<?php } elseif (('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
							// Comments are open, Pings are not ?>
							You can skip to the end and leave a response. Pinging is currently not allowed.

						<?php } elseif (!('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
							// Neither Comments, nor Pings are open ?>
							Both comments and pings are currently closed.

						<?php } edit_post_link('Edit this entry','','.'); ?>
					</small>
					
				</div>
				
			</div>
		</div>
		
		<?php $blogofolio_social_check = get_option('blogofolio_social_check'); if($blogofolio_social_check): ?>
		<div class="social">
		<div class="social-left">{Sharing is Caring}</div>
		<div class="social-right">
		<a class="opacity" href="<?php $blogofolio_feed_url = get_option('blogofolio_feed_url'); echo stripslashes($blogofolio_feed_url); ?>"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/social-icons/rss.png" alt=""/></a>
		<a class="opacity" href="http://www.facebook.com/share.php?u=<?php the_permalink() ?>&title=<?php the_title(); ?>"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/social-icons/facebook.png" alt=""/></a>
		<a class="opacity" href="http://technorati.com/faves?add=<?php the_permalink(); ?>"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/social-icons/technorati.png" alt=""/></a>
		<a class="opacity" href="http://twitter.com/home?status=I just ended up reading this fantastic article, you should have a look <?php the_permalink(); ?>"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/social-icons/twitter.png" alt=""/></a>
		<a class="opacity" href="http://www.delicious.com/post?url=<?php the_permalink() ?>&title=<?php the_title(); ?>"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/social-icons/delicious.png" alt=""/></a>
		<a class="opacity" href="http://reddit.com/submit?url=<?php the_permalink() ?>&title=<?php the_title(); ?>"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/social-icons/reddit.png" alt=""/></a>
		<a class="opacity" href="http://digg.com/submit?phase=2&url=<?php the_permalink() ?>"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/social-icons/digg.png" alt=""/></a>
		<a class="opacity" href="http://www.stumbleupon.com/submit?url=<?php the_permalink(); ?>&title=<?php the_title(); ?>"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/social-icons/stumbleupon.png" alt=""/></a>
		</div>
		</div>
			<div class="clear"></div>
		<?php endif; ?>

	<?php comments_template(); ?>

	<?php endwhile; else: ?>

		<h2 class="center">Nothing Found</h2>
		<p class="center">Sorry, but you are looking for something that isn't here. Search our Archives!</p>
		<br />
		
<form id="searchform" method="get" action="<?php bloginfo('home'); ?>/"> <input type="text"  size="18" maxlength="50" name="s" id="s" /> 
<input name="submit" type="image" src="<?php bloginfo('stylesheet_directory'); ?>/images/go.png" value="Search" Title="Search" class="search-button"/></form> 

<div class="clear">&nbsp;</div>

	<?php endif; ?>

	</div>
	
<?php get_sidebar(); ?>

<?php get_footer(); ?>