<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>

<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<link rel="SHORTCUT ICON" <?php if ($blogofolio_favicon) { ?>href="<?php echo $blogofolio_favicon;?>"<?php } else { ?>href="<?php bloginfo('template_url')?>/images/favicon.png"<?php } ?> type="image/x-icon" />

<title>
<?php if (is_home()) : ?>
<?php bloginfo('name'); ?>
 -
<?php bloginfo('description'); ?>
<?php else : ?>
<?php wp_title('', 'false'); ?>
 -
<?php bloginfo('name'); ?>
<?php endif; ?>
</title>

<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/jquery.twitter.css" type="text/css" />
<style type="text/css" media="screen">
</style>

<!--[if lt IE 7]>
<script src="<?php bloginfo('template_url'); ?>/js/DD_belatedPNG_0.0.8a-min.js"></script>
<script>
  DD_belatedPNG.fix('#searchform input#s,#sidebar ul ul li,.social,.stumble,.digg,.reddit,.delicious,.twit,.technorati,.facebook,.rss1,#author,#email,#url,#comment,#submit,#sidebar li a:link, #sidebar li a:visited,#sidebar li a:hover,#blog-label2');
</script>
<![endif]-->

		<script src="<?php bloginfo('template_url'); ?>/js/cufon-yui.js" type="text/javascript"></script>
		<script src="<?php bloginfo('template_url'); ?>/js/Aller_400-Aller_700-Aller_italic_400-Aller_italic_700.font.js" type="text/javascript"></script>
		<script type="text/javascript"> <!-- better on top -->
			Cufon.replace('h1', {
			textShadow: 'black 0 2px 0'
			});
			Cufon.replace('h2', {
			textShadow: 'black 0 2px 0'
			});
			Cufon.replace('h3', {
			textShadow: 'black 0 2px 0'
			});
			Cufon.replace('h4', {
			textShadow: 'black 0 2px 0'
			});
			Cufon.replace('h5', {
			textShadow: 'black 0 2px 0'
			});
			Cufon.replace('h6', {
			textShadow: 'black 0 2px 0'
			});
			Cufon.replace('.social', {
			textShadow: 'black 0 2px 0'
			});
		</script>
		<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.3.2/jquery.min.js"></script>
		<script src="<?php bloginfo('template_url'); ?>/js/jquery.qtip-1.0.0-rc3.min.js" type="text/javascript"></script>
		<script src="<?php bloginfo('template_url'); ?>/js/hoverIntent.js" type="text/javascript"></script>
		<script src="<?php bloginfo('template_url'); ?>/js/supersubs.js" type="text/javascript"></script>
		<script src="<?php bloginfo('template_url'); ?>/js/jquery.bgiframe.min.js" type="text/javascript"></script>
		<script src="<?php bloginfo('template_url'); ?>/js/superfish.js" type="text/javascript"></script>
		<script src="<?php bloginfo('template_url'); ?>/js/jquery.twitter.js" type="text/javascript"></script>

<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
<?php wp_head(); ?>
<?php 
global $options;
foreach ($options as $value) {
if (get_settings( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; } else { $$value['id'] = get_settings( $value['id'] ); } }
?>
</head>

<body>
<a name="top"></a>

<div id="header">
		<?php $blogofolio_header_check2 = get_option('blogofolio_header_check2'); if($blogofolio_header_check2): ?>
		<a href="<?php echo get_option('home'); ?>/"><img src="<?php $blogofolio_logo_image = get_option('blogofolio_logo_image'); echo stripslashes($blogofolio_logo_image); ?>" alt=""/></a>
		<?php endif; ?>
		
		<?php $blogofolio_header_check1 = get_option('blogofolio_header_check1'); if($blogofolio_header_check1): ?>
		<h1><a href="<?php echo get_option('home'); ?>/"><?php bloginfo('name'); ?></a></h1>
		<h2><?php bloginfo('description'); ?></h2>
		<?php endif; ?>
</div>

<?php
    // Get the ID of a given category
    $category_id = get_cat_ID( 'Portfolio' );

    // Get the URL of this category
    $category_link = get_category_link( $category_id );
?>

<ul class="nav">
<li <?php if (is_home()) echo('class="current_page_item"') ?>><a href="<?php echo get_option('home'); ?>/" title="Home sweet home">Home</a></li>
<?php wp_list_pages('depth=3&title_li=&exclude='.$blogofolio_exclude_pages.''); ?>
<li <?php if (is_category('Portfolio')) echo('class="current_page_item"') ?> class="portfolio"><a href="<?php echo $category_link; ?>" title="View all posts under Portfolio">View Portfolio</a></li>
</ul>

<?php $blogofolio_welcome_check = get_option('blogofolio_welcome_check'); if($blogofolio_welcome_check): ?>
<div id="welcome">
<div class="welcome-content">
<div class="welcome-text"><?php $blogofolio_welcome_text = get_option('blogofolio_welcome_text'); echo stripslashes($blogofolio_welcome_text); ?></div>
<a href="<?php $blogofolio_welcome_link = get_option('blogofolio_welcome_link'); echo stripslashes($blogofolio_welcome_link); ?>"><img src="<?php $blogofolio_welcome_image = get_option('blogofolio_welcome_image'); echo stripslashes($blogofolio_welcome_image); ?>" alt="" /></a>
<div class="clear"></div>
</div>
</div>
<?php endif; ?>

<div id="container">